Subscribe

OnCommand Insight - Update to 7.0.0 fails because backup not possible

Hello,

I want to update from 6.4 to 7.0.  After starting the "SANscreenServer-x64-7.0.0-48.msi" the systems wants to backup the current database automatically. This ends with:

  1. "Services didn`t start completely, Please try again to perform backup".
  2. "Installation is terminated, as database backup failed, Please follow the Instructions to perform a manual upgrade".

I had the same error message before, when I tried to install an update from 6.4.1 after 6.4.2 a few month ago. At the time didn`t do the update, because I thought it was a software problem maybe, and was waiting for the next version. - Now the problem occurs again.

When I do a manual backup of the db, this works without any problems. So what "Services didn`t start completely" ?


The Setup Wizard suggests to do everthing manually;  to uninstall the old version, install the new one and restore the backedup database. - But this is so easy???  OnCommand Insight Download Page says: "Only individuals with onCommand insight accreditation should install and configure the product." !

Had anyone the same problems or a solution?

Best regards

Michael


Re: OnCommand Insight - Update to 7.0.0 fails because backup not possible

Hey Michael,

#1. OCI 7.0.1 is out - I would strongly, strongly recommend you upgrade to that instead of OCI 7.0.0.

#2. I don't think OCI 7.0.1 will be any different from OCI 7.0.0 with regard to the upgrade process. You are attempting an "in place" upgrade which should work for 6.4 to 7.0.x upgrades. The number 1 case of this process failing is due to backups failing, so it is somewhat interesting that your manual backups succeed without issue.

#3. If you are sending OCI ASUP, please Private Message me with your OCI site name , as I would like to take a look at your OCI server logs. Otherwise, if you could build a zip file of:

..\SANscreen\jboss\server\onaro\log

..\SANscreen\mysql\data\*.err

I would like to review them to see if there are any issues with your current OCI environment.

#4. Yes, the upgrade process of backing up OCI, saving the database, uninstalling OCI, installing the new OCI version, and restoring the DB is fully supported - in fact, the "in-place" OCI upgrade basically is automating all of these steps for you.

Matt